Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js	(revision 6857)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js	(revision 6876)
@@ -247,7 +247,5 @@
 
     			    $('.qtip-active .button.advanced').button().click(function(){
-    			    	
-    					$(componente).qtip('destroy');
-    					
+
     			    	var startEvent = new Date();
     					var configData = (startEvent.toString('mm') < 30)  ? {minutes: (30 - parseInt(startEvent.toString('mm')))} : {hours: 1, minutes: '-'+startEvent.toString('mm')};
@@ -255,11 +253,15 @@
     			
 						var componente = $(this);
-
-    					taskDetails({ 
+                        var description = $('div.qtip div.add-simple-task textarea[name="description"]').val();
+
+    					taskDetails({
+                            summary: $('div.qtip div.add-simple-task input[name="summary"]').val(),
+                            description: description == 'Descrição' ? '' : description,
     						startTime: startEvent.getTime(),
     						endTime: dateCalendar.decodeRange(startEvent, (!!User.preferences.defaultCalendar ? (	!!Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration ?  
     							(Calendar.signatureOf[User.preferences.defaultCalendar].calendar.defaultDuration) : (User.preferences.defaultDuration)) : (User.preferences.defaultDuration)))
     					}, true );
-    			
+
+                        $(componente).qtip('destroy');
     			    });
     								
@@ -450,10 +452,13 @@
                             }else{
 				var schedulable = DataLayer.get( "schedulable", evt.id);
-				schedulable.calendar = evt.calendar;
+				schedulable.group = evt.calendar;
 				eventDetails( schedulable, true);
 			    }
                         }
-            }else
-				alert('Editar Tarefa');
+            }else{
+                var task = DataLayer.get( "schedulable", evt.id);
+                task.group = evt.calendar;
+                taskDetails( task, true);
+            }
 		},
 		
